/**
 * \file fr32_fir_init.c
 * \brief FIR filter initializer
 * \date Created on: 2013/05/02
 * \author takemasa
 * \details
 * Contains initializer for the fr32_fir function.
 */

#include "fr32_fir.h"

void fr32_fir_init( TFIR32 *filter, int taps, fract32 * coeff, fract32 * delayline, int ratio)
{
	int i;

		// Initialize the pointers and taps variable of filter object.
	filter->taps = taps;
	filter->coeff = coeff;
	filter->delayline = delayline;
	filter->head = delayline;
	filter->ratio = ratio;          // not relevant to the FIR filter.
	filter->tapsByRatio = taps / ratio;

		// Initialize the internal state variable.
	for ( i= 0; i<taps; i++ )
		delayline[i] = 0;
}
